Bug 1825459 - UPI: Using security rules with remote security group may cause deployment to fail
Summary: UPI: Using security rules with remote security group may cause deployment to ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.4.0
Assignee: Pierre Prinetti
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1825286
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-18 09:10 UTC by Pierre Prinetti
Modified: 2020-05-04 11:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The openstack UPI playbook standing the Security groups uses `remote_group_id` to allow traffic origins. Consequence: Using `remote_group_id` in the security rules is very inefficient, triggering a lot of computation by ovs agent to generate the flows and possibly exceeding the time allocated for flow generation. In such cases, especially in environments already under stress, masters nodes may be unable to communicate with worker nodes, leading the deployment to fail. Fix: Use IP prefixes for whitelisting traffic origins instead of `remote_group_id` Result: Less load on Neutron resources should reduce the occurrence of timeouts
Clone Of: 1825286
Environment:
Last Closed: 2020-05-04 11:49:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3476 None closed [release-4.4] Bug 1825459: OpenStack UPI: Replace remote_group_id with remote_ip_prefix 2020-06-17 11:44:19 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:49:45 UTC

Description Pierre Prinetti 2020-04-18 09:10:50 UTC
+++ This bug was initially created as a clone of Bug #1825286 +++

+++ This bug was initially created as a clone of Bug #1824287 +++

Using security groups as the destination or source of a security rule on openstack is very resource intensive. This can lead to network traffic performance issues with openstack neutron. 
The degraded network traffic can lead to installation failure where the bootstrap process times out because pods can access resources through the openshift sdn internal network.  
For example, some pods are unable to succesfully resolv ip addresses because they can't reach the internal dns service of the cluster. 

Communication between pods is spotty and leads to cascade failures.

--- Additional comment from Martin André on 2020-04-16 07:50:21 UTC ---

Using `remote_group_id` in the security rules is very inefficient, triggering a lot of computation by ovs agent to generate the flows and possibly exceeding the time allocated for flow generation. In such cases, especially in environments already under stress, masters nodes may be unable to communicate with worker nodes, leading the deployment to fail.

We're seeing this behavior in MOC, the cloud we're using for our CI.

The workaround is to use the more efficient remote_ip_prefix rather than remote_group_id when creating security rules.

This was already done for openshift-ansible in the past: https://bugzilla.redhat.com/show_bug.cgi?id=1703947

--- Additional comment from Pierre Prinetti on 2020-04-17 14:56:39 UTC ---

This BZ refers to the UPI installation.

Comment 3 David Sanz 2020-04-21 09:11:11 UTC
No failure detected using 4.4.0-0.nightly-2020-04-20-133922.

Verified

Comment 5 errata-xmlrpc 2020-05-04 11:49:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.